Bug 821205 - [abrt] amarok-2.5.0-3.fc16: Process /usr/bin/amarok was killed by signal 11 (SIGSEGV)
[abrt] amarok-2.5.0-3.fc16: Process /usr/bin/amarok was killed by signal 11 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:59f1ea64df6966cb77da3843e2d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 23:57 EDT by pao1250
Modified: 2013-02-13 16:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:33:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (18.63 KB, text/plain)
2012-05-12 23:57 EDT, pao1250
no flags Details
File: dso_list (21.96 KB, text/plain)
2012-05-12 23:57 EDT, pao1250
no flags Details
File: maps (94.24 KB, text/plain)
2012-05-12 23:57 EDT, pao1250
no flags Details
File: backtrace (57.96 KB, text/plain)
2012-05-12 23:57 EDT, pao1250
no flags Details
File: build_ids (9.49 KB, text/plain)
2012-05-12 23:57 EDT, pao1250
no flags Details

  None (edit)
Description pao1250 2012-05-12 23:57:30 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 3
cmdline:        /usr/bin/amarok
executable:     /usr/bin/amarok
kernel:         3.3.4-3.fc16.x86_64
pid:            12909
pwd:            /home/stevep/Documents
reason:         Process /usr/bin/amarok was killed by signal 11 (SIGSEGV)
time:           Sat 12 May 2012 11:24:22 PM EDT
uid:            1000
username:       stevep
var_log_messages: May 12 23:24:24 stevep abrt[12948]: Saved core dump of pid 12909 (/usr/bin/amarok) to /var/spool/abrt/ccpp-2012-05-12-23:24:22-12909 (272154624 bytes)

backtrace:      Text file, 59349 bytes
build_ids:      Text file, 9717 bytes
dso_list:       Text file, 22486 bytes
event_log:      Text file, 19081 bytes
maps:           Text file, 96506 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=8751
:XDG_SESSION_ID=19
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=stevep.asus
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=09443f957359200caf4d47c20000000f-1336867159.511679-1639106820
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/stevep/.gtkrc-2.0:/home/stevep/.gtkrc-2.0-kde4:/home/stevep/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:USER=stevep
:SSH_AUTH_SOCK=/tmp/ssh-ZYMIyzJh8729/agent.8729
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/stevep/.local/bin:/home/stevep/bin
:MAIL=/var/spool/mail/stevep
:PWD=/home/stevep
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:KDEDIRS=/usr
:LOADEDMODULES=
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/stevep
:KDE_SESSION_VERSION=4
:LOGNAME=stevep
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lMrgdoPw4d,guid=1deaa955c72867e85f24310d0000eef0
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/stevep
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/stevep/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-stevep/xauth-1000-_0
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/8823,unix/unix:/tmp/.ICE-unix/8823
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/stevep/.gtkrc:/home/stevep/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=stevep.asus;1336879449;432511;8837_TIME72844470

smolt_data:
:
:
:General
:=================================
:UUID: 0b576096-ff93-4ec7-97cf-01eecde0a5b2
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4589.72
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2350M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2300
:System Memory: 7890
:System Swap: 5919
:Vendor: ASUSTeK Computer Inc.
:System: K84L 1.0
:Form factor: Notebook
:Kernel: 3.3.4-3.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4163:5079) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4332:33128:4163:5079) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:278:4163:5079) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4163:5079) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:5079) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:5079) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4163:5079) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4163:5079) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(6945:4162:4163:4185) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(5772:43:6715:4233) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:7171:4163:5079) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4163:5079) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4163:5079) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4163:5079) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4163:5079) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4163:5079) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_stevep-lv_root / ext4 4096 4096 19543722 15481728 15285294 4915200 4587896 4587896
:/dev/sda3 /boot ext4 1024 1024 508745 408688 383088 128016 127732 127732
:/dev/mapper/vg_stevep-lv_home /home ext4 4096 4096 61724344 53354358 50238169 15589376 15571144 15571144
:

xsession_errors:
:** amarok --debug                                                                           ** 
:KCrash: Application 'amarok' crashing...
Comment 1 pao1250 2012-05-12 23:57:34 EDT
Created attachment 584088 [details]
File: event_log
Comment 2 pao1250 2012-05-12 23:57:35 EDT
Created attachment 584089 [details]
File: dso_list
Comment 3 pao1250 2012-05-12 23:57:37 EDT
Created attachment 584090 [details]
File: maps
Comment 4 pao1250 2012-05-12 23:57:38 EDT
Created attachment 584091 [details]
File: backtrace
Comment 5 pao1250 2012-05-12 23:57:40 EDT
Created attachment 584092 [details]
File: build_ids
Comment 6 Giovanni Tirloni 2012-06-30 06:30:16 EDT
Amarok was opened for the first time. 

1) Selected "None" for the country (Amazon Storage)
2) Answered "Yes" to "Use /home/$user/Music folder?"
3) Waited some time (<1min) while doing other things
4) Closed Amarok
5) Amarok said it would stay in the notification area
6) Right-clicked icon and clicked on Quit
7) Noticed abrt complaining about SIGSEV

$ cat /etc/redhat-release 
Fedora release 16 (Verne)

amarok-2.5.0-8.fc16.x86_64
amarok-doc-2.5.0-8.fc16.noarch
amarok-libs-2.5.0-8.fc16.x86_64
amarok-utils-2.5.0-8.fc16.x86_64
kde-baseapps-4.8.3-1.fc16.x86_64
kde-baseapps-libs-4.8.3-1.fc16.x86_64
kde-filesystem-4-38.fc15.x86_64
kdegraphics-4.8.3-1.fc16.noarch
kdegraphics-libs-4.8.3-1.fc16.noarch
kdegraphics-strigi-analyzer-4.8.3-1.fc16.x86_64
kdegraphics-thumbnailers-4.8.3-1.fc16.x86_64
kdelibs-4.8.3-1.fc16.x86_64
kdelibs-common-4.8.3-1.fc16.x86_64
kdemultimedia-common-4.8.3-1.fc16.noarch
kdemultimedia-dragonplayer-4.8.3-1.fc16.x86_64
kdemultimedia-juk-4.8.3-1.fc16.x86_64
kdemultimedia-kio_audiocd-4.8.3-1.fc16.x86_64
kdemultimedia-kmix-4.8.3-1.fc16.x86_64
kdemultimedia-kscd-4.8.3-1.fc16.x86_64
kdemultimedia-libs-4.8.3-1.fc16.x86_64
kdenetwork-4.8.3-1.fc16.x86_64
kdenetwork-common-4.8.3-1.fc16.noarch
kdenetwork-fileshare-samba-4.8.3-1.fc16.x86_64
kdenetwork-kdnssd-4.8.3-1.fc16.x86_64
kdenetwork-kget-4.8.3-1.fc16.x86_64
kdenetwork-kget-libs-4.8.3-1.fc16.x86_64
kdenetwork-kopete-4.8.3-1.fc16.x86_64
kdenetwork-kopete-libs-4.8.3-1.fc16.x86_64
kdenetwork-kppp-4.8.3-1.fc16.x86_64
kdenetwork-krdc-4.8.3-1.fc16.x86_64
kdenetwork-krdc-libs-4.8.3-1.fc16.x86_64
kdenetwork-krfb-4.8.3-1.fc16.x86_64
kdenetwork-krfb-libs-4.8.3-1.fc16.x86_64
kdepim-4.8.3-2.fc16.x86_64
kdepimlibs-4.8.3-1.fc16.x86_64
kdepim-libs-4.8.3-2.fc16.x86_64
kdepimlibs-akonadi-4.8.3-1.fc16.x86_64
kdepim-runtime-4.8.3-2.fc16.x86_64
kdepim-runtime-libs-4.8.3-2.fc16.x86_64
kdeplasma-addons-4.8.3-1.fc16.x86_64
kdeplasma-addons-libs-4.8.3-1.fc16.x86_64
kde-plasma-networkmanagement-0.9.0.2-1.fc16.x86_64
kde-plasma-networkmanagement-libs-0.9.0.2-1.fc16.x86_64
kde-plasma-networkmanagement-openvpn-0.9.0.2-1.fc16.x86_64
kde-plasma-networkmanagement-pptp-0.9.0.2-1.fc16.x86_64
kde-plasma-networkmanagement-vpnc-0.9.0.2-1.fc16.x86_64
kde-printer-applet-4.8.3-1.fc16.noarch
kde-runtime-4.8.3-1.fc16.x86_64
kde-runtime-flags-4.8.3-1.fc16.noarch
kde-runtime-libs-4.8.3-1.fc16.x86_64
kde-settings-4.7-14.fc16.noarch
kde-settings-kdm-4.7-14.fc16.noarch
kde-settings-ksplash-4.7-14.fc16.noarch
kde-settings-plasma-4.7-14.fc16.noarch
kde-settings-pulseaudio-4.7-14.fc16.noarch
kdeutils-4.8.3-1.fc16.noarch
kdeutils-common-4.8.3-1.fc16.noarch
kdeutils-minimal-4.8.3-1.fc16.noarch
kde-wallpapers-4.8.3-1.fc16.noarch
kde-workspace-4.8.3-3.fc16.x86_64
kde-workspace-libs-4.8.3-3.fc16.x86_64
lockdev-1.0.3-10.fc16.x86_64
polkit-kde-0.99.0-3.fc16.x86_64
pykde4-4.8.3-2.fc16.x86_64
system-config-printer-kde-4.8.3-1.fc16.x86_64
verne-backgrounds-kde-15.92.1-1.fc16.noarch
verne-kde-theme-15.91.0-1.fc16.noarch
xsettings-kde-0.12.3-3.fc16.x86_64


backtrace_rating: 3
Package: amarok-2.5.0-8.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Fedora End Of Life 2013-01-16 12:09:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 16:33:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.